### Method

# Fwupd Request set_image

since: 1.6.2

#### Declaration [src]

    void
    fwupd_request_set_image (
      FwupdRequest* self,
      const gchar* image
    )

#### Description [src]

Sets the update image.

Available since: 1.6.2

Sets property | `Fwupd.Request:image`

#### Parameters

`image`

  Type: `const gchar*`

  The update image URL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.